% CalcCheckDoc.lhs
%
% This file is part of CalcCheck
%
% Copyright (c) 2011  Wolfram Kahl
% All rights reserved
%
\documentclass[10pt,twoside,postscript]{article}

%include polycode.fmt
%include WKlhs.sty

%include doc/CalcChars.sty

%% ln -s doc/CalcStyleV9.sty
%% lhs2TeX CalcCheckDoc.lhs > CalcCheckDoc.ltx; bibtex CalcCheckDoc; latex CalcCheckDoc.ltx; dvips -Ppdf -Z -t letter CalcCheckDoc.dvi; pstops -pletter '2:0@0.73L(21.35cm,-0.75cm)+1@0.73L(21.35cm,12.75cm)' CalcCheckDoc.ps > CalcCheckDoc_2up_letter.ps
%%
%% lhs2TeX CalcCheckDoc.lhs > CalcCheckDoc.ltx; bibtex CalcCheckDoc; pdflatex CalcCheckDoc.ltx

\title{The \CalcCheck{} Implementation
\\[1ex]
(DRAFT)}

\author{\textsc{Wolfram Kahl}}

\date{\today}

%{{{ Settings
\usepackage[margin=20mm]{geometry}
\parindent0pt
\parskip0.6ex
\pagestyle{headings}
%}}}

%{{{ packages and defs
\usepackage{etex}

\newtheorem{Def}{Definition}[subsection]

\long\def\ignore#1{}
%\usepackage{code}
\def\sectionname{Sect.\null{}}
\usepackage{sectref}
\usepackage{graphicx}
\usepackage{edcomms}

% \usepackage{formac}
% 
% \let\lambdaOrig=\lambda
% \usepackage{oz}
% \let\lambda=\lambdaOrig
% \def\zedNo#1{&\hfill{$#1$}}
% 
% \def\natnums{\mathbb{N}}

\usepackage{CalcStyleV9}

% \usepackage{RelNotation}
% \usepackage{CalABC}
% \usepackage{PMC}

\long\def\ignore#1{}

\def\unfinished{{\ \fbox{\textbf{ \ \ ???\ \ }}\ }}
%}}}

\usepackage{hyperref}
\begin{document}
\maketitle

%{{{ abstract
\begin{abstract}
\noindent
\unfinished
\end{abstract}
%}}}

\tableofcontents
\bigskip
\hrule
\bigskip

%{{{ \section{Introduction}
\section{Introduction}

%}}}

%include Version.lhs
%include CalcCheck.lhs
%include Yesod.lhs
%include CheckCalcs.lhs
%incldue Rewrite.lhs
%include LogicE.lhs

%include TeX.lhs
%include TeXParse.lhs
%include Parser.lhs

%include AC.lhs
%include Utils/Q.lhs
%include Utils/List.lhs
%include Utils/Tuple.lhs


%{{{ bibliography
\addcontentsline{toc}{section}{References}
\bibliographystyle{alpha}
%\bibliographystyle{plain}
%\bibliographystyle{abstract}
%\bibliographystyle{named}
\bibliography{strings,ref,parnas,crossrefs}
%}}}

\end{document}


\begin{code}
module TIExprDoc where

import ExprTest
\end{code}

%{{{ EMACS lv
% Local Variables:
% folded-file: t
% fold-internal-margins: 0
% eval: (fold-set-marks "%{{{ " "%}}}")
% eval: (fold-whole-buffer)
% end:
%}}}
